Package org.apache.sling.auth.saml2

## Class Activator

- java.lang.Object
- - org.apache.sling.auth.saml2.Activator

All Implemented Interfaces:
  `org.osgi.framework.BundleActivator`

    public class Activator
    extends Object
    implements org.osgi.framework.BundleActivator

### Constructor Summary

Constructors
`Activator()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`protected void` `configureSamlJaas()`
`static void` `initializeOpenSaml()`
`protected boolean` `needsSamlJaas()`
`protected void` `removeSamlJaas()`
`void` `setConfigAdmin​(org.osgi.framework.BundleContext bundleContext)`
`void` `start​(org.osgi.framework.BundleContext context)`
`void` `stop​(org.osgi.framework.BundleContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Activator

    public Activator()

### Method Detail

#### start

    public void start​(org.osgi.framework.BundleContext context)
               throws IOException,
                      org.osgi.framework.InvalidSyntaxException

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### stop

    public void stop​(org.osgi.framework.BundleContext context)
              throws IOException,
                     org.osgi.framework.InvalidSyntaxException

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### initializeOpenSaml

    public static void initializeOpenSaml()
                                   throws org.opensaml.core.config.InitializationException

Throws:
  `org.opensaml.core.config.InitializationException`

#### configureSamlJaas

    protected void configureSamlJaas()
                              throws IOException

Throws:
  `IOException`

#### needsSamlJaas

    protected boolean needsSamlJaas()
                             throws IOException,
                                    org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### removeSamlJaas

    protected void removeSamlJaas()
                           throws IOException,
                                  org.osgi.framework.InvalidSyntaxException

Throws:
  `IOException`
  `org.osgi.framework.InvalidSyntaxException`

#### setConfigAdmin

    public void setConfigAdmin​(org.osgi.framework.BundleContext bundleContext)